<link rel="import" href="../iron-scroll-target-behavior/iron-scroll-target-behavior.html">


<dom-module id="dez-scroll">
  <template>

      <style>

        :host {
            display: flex;
            flex-direction: column;
        }

        #region {
            overflow: auto;
            flex-grow: 1;
        }

      </style>

      <div id="region">
          <slot></slot>
      </div>

  </template>

  <script>
    /**
     * `dez-scroll`
     * Scrolling container
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class DezScroll extends Polymer.mixinBehaviors([Polymer.IronScrollTargetBehavior], Polymer.Element) {
      static get is() { return 'dez-scroll'; }

      ready () {
          super.ready();
          this.scrollTarget = this.$.region;
          this.scrollTarget.addEventListener('scroll',
            e => this.dispatchEvent(new CustomEvent(
                    'scroll-left-changed',
                    {detail: {scrollLeft: this.scrollTarget.scrollLeft}}
            ))
          )
      }

    }

    window.customElements.define(DezScroll.is, DezScroll);
  </script>
</dom-module>
